/*
 *  TEST: directory name arithmetic
 *
 *  This takes a number of directory names on the command line, and
 *  exercises all the directory name primitives with them.
 */
#include <iostream>
#include "io/dirs.h"
#include "util/except.h"

using namespace std;

void pullInReferences()
{
    // We must invoke a function from io/dirs.cc and one from util/except.cc
    // to force these modules be linked in.
    appendFileNameExtension("foo", "bar", false);
    perrorStr("x");
}

int main(int argc, char** argv)
{
    while (*++argv) {
        string_t dir = *argv;
        cout << dir << "\n"
             << "  absolute?      : `" << Directory::isAbsoluteName(dir) << "'\n"
             << "  canonical name : `" << Directory::getCanonicalName(dir) << "'\n"
             << "  absolute name  : `" << Directory::getAbsoluteName(dir) << "'\n"
             << "  file name part : `" << Directory::getFileName(dir) << "'\n"
             << "  dir name part  : `" << Directory::getDirName(dir) << "'\n"
             << "  appending `X'  : `" << Directory::makeFileName(dir, "X") << "'\n"
             << "  prepending `X' : `" << Directory::makeFileName("X", dir) << "'\n";
    }
}
