/**
  *  \file u/t_arch_platform.cc
  */

#include "arch/platform.h"

#include "u/t_arch.h"
#include "io/dirs.h"
#include "cpluslib/string.h"

void
ArchPlatformTestSuite::testPlatformDirs()
{
    string_t ddir = Platform::getDataDirectory();
    string_t rdir = Platform::getResourceDirectory();
    string_t sdir = Platform::getUserSettingsDirectory();

    TS_ASSERT_DIFFERS(ddir.size(), 0);
    TS_ASSERT_DIFFERS(rdir.size(), 0);
    TS_ASSERT_DIFFERS(sdir.size(), 0);

    TS_ASSERT(Directory::isAbsoluteName(ddir));
    TS_ASSERT(Directory::isAbsoluteName(rdir));
    TS_ASSERT(Directory::isAbsoluteName(sdir));
}
